| Home | Libraries | People | FAQ | More

## Struct first

boost::xpressive::op::first — `first` is a PolymorphicFunctionObject for fetching the first element of a pair.

## Synopsis

    // In header: <boost/xpressive/regex_actions.hpp>

    struct first {
      // member classes/structs/unions
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Pair>
      struct result<This(Pair)> {
        // types
        typedef remove_reference< Pair >::type::first_type type;
      };

      // public member functions
      template<typename Pair> Pair::first_type operator()(Pair const &) const;
    };

## Description

### `first` public member functions

1.     template<typename Pair> Pair::first_type operator()(Pair const & p) const;

   Parameters:

   `p` | The pair from which to fetch the first element.

   Returns: | `p.first`